<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="AutoImportSettings">
    <option name="autoReloadType" value="SELECTIVE" />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="468ab09e-ded0-45c9-814b-b564e5fabdca" name="更改" comment="">
      <change afterPath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/dataset_configs/military_sft.json" afterDir="false" />
      <change afterPath="$PROJECT_DIR$/quick_start_clean/raw_data/test.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/pretrain_dragonfly.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/pretrain_dragonfly.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/pretrain_dragonfly.sh" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/pretrain_dragonfly.sh" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/train_configs/2.4b.json" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/apps/fm9g_2b/train_configs/2.4b.json" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/fm9g/arguments.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/fm9g/arguments.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/fm9g/dragonfly/training_tasks/pretrain_indexed.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/fm9g/dragonfly/training_tasks/pretrain_indexed.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/fm9g/dragonfly/training_tasks/pretrain_indexed_9g.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/fm9g/dragonfly/training_tasks/pretrain_indexed_9g.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/fm9g/utils/exporter.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/fm9g/utils/exporter.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/FM_9G/modelTest.py" beforeDir="false" afterPath="$PROJECT_DIR$/FM_9G/modelTest.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quick_start_clean/convert_json2index.py" beforeDir="false" afterPath="$PROJECT_DIR$/quick_start_clean/convert_json2index.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quick_start_clean/model_inference.py" beforeDir="false" afterPath="$PROJECT_DIR$/quick_start_clean/model_inference.py" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/quick_start_clean/requirements.txt" beforeDir="false" afterPath="$PROJECT_DIR$/quick_start_clean/requirements.txt" afterDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectColorInfo"><![CDATA[{
  "associatedIndex": 6
}]]></component>
  <component name="ProjectId" id="2nbq4CzxrETsMGLqFDvAKmFxrtw" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent"><![CDATA[{
  "keyToString": {
    "Python.cudaTest.executor": "Run",
    "Python.modelTest.executor": "Run",
    "RunOnceActivity.ShowReadmeOnStart": "true",
    "git-widget-placeholder": "main",
    "last_opened_file_path": "D:/微调推理实践操作/微调推理实践操作/FM9g-2b.pt",
    "node.js.detected.package.eslint": "true",
    "node.js.detected.package.tslint": "true",
    "node.js.selected.package.eslint": "(autodetect)",
    "node.js.selected.package.tslint": "(autodetect)",
    "nodejs_package_manager_path": "npm",
    "settings.editor.selected.configurable": "com.intellij.pycharm.community.ide.impl.configuration.PythonContentEntriesConfigurable",
    "vue.rearranger.settings.migration": "true"
  }
}]]></component>
  <component name="RunManager" selected="Python.modelTest">
    <configuration name="cudaTest" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="cpm-9g-2b" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/FM_9G" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/FM_9G/cudaTest.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="modelTest" type="PythonConfigurationType" factoryName="Python" temporary="true" nameIsGenerated="true">
      <module name="cpm-9g-2b" />
      <option name="ENV_FILES" value="" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$/FM_9G" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/FM_9G/modelTest.py" />
      <option name="PARAMETERS" value="" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Python.modelTest" />
        <item itemvalue="Python.cudaTest" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="应用程序级" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="默认任务">
      <changelist id="468ab09e-ded0-45c9-814b-b564e5fabdca" name="更改" comment="" />
      <created>1729251929503</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1729251929503</updated>
      <workItem from="1729251930652" duration="7968000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/cpm_9g_2b$cudaTest.coverage" NAME="cudaTest 覆盖结果" MODIFIED="1729259475854" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/FM_9G" />
    <SUITE FILE_PATH="coverage/cpm_9g_2b$modelTest.coverage" NAME="modelTest 覆盖结果" MODIFIED="1729259628836" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="false" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/FM_9G" />
  </component>
</project>